Summary:        PEAR: Scribe

Name:           php-pear-Horde-Scribe
Version:        2.0.2
Release:        1.lux.1
License:        ASL 2.0
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Scribe-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Scribe
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde php-pear-Horde-Thrift
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Thrift
BuildArch:      noarch
%define pear_name  Horde_Scribe
%define pear_sname horde_scribe
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Packaged version of the PHP Scribe client.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/%{pear_name}.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/%{pear_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{pear_name}
fi

%files
%defattr(-,root,root)
%{pear_phpdir}/Horde/*
%{pear_xmldir}/%{pear_name}.xml
%doc %{_docdir}/%{name}-%{version}

%changelog
